<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('new_event_contains', function (Blueprint $table) {
            $table->id();
            $table->string('new_event')->default('news');
            $table->string('image')->nullable();
            $table->string('title')->nullable();
            $table->timestamp('released_at')->nullable();
            $table->longText('description')->nullable();
            $table->string('author')->nullable();
            $table->foreignId('individual_zone_id')->nullable()->constrained('individual_zones');
            $table->foreignId('game_id')->nullable()->constrained('games');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('new_event_contains');
    }
};
